%define kernelversion 2.6.14
%define kernelrelease 1.1653_FC4
%define variants "" smp

%define kernelverrel %{kernelversion}-%{kernelrelease}

Summary: Simple Hello World module
Name: hellomod
Version: 1
Release: %{kernelversion}_%{kernelrelease}.1
License: GPL
Group: Kernel
Source0: %{name}-%{version}.tar.gz
Source1: modspec.sh
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: kernel = %{kernelversion}

%define pkgdescription This contains the simple 'hello world' kernel module

%{expand:%(%{SOURCE1} %{variants})}

%prep
%setup -q -n hellomod

%build
function BuildModule() {
	VARIANT=$1
	if [ -z $VARIANT ]; then
		KERNELDIR=/usr/src/kernels/%{kernelverrel}-%{_target_cpu}
	else
		KERNELDIR=/usr/src/kernels/%{kernelverrel}-$VARIANT-%{_target_cpu}
	fi

	echo Building module for kernel in $KERNELDIR

	make -C $KERNELDIR SUBDIRS=`pwd` modules
	make -C $KERNELDIR SUBDIRS=`pwd` INSTALL_MOD_PATH=`pwd`/module_dir modules_install
	UNAME=`grep UTS_RELEASE $KERNELDIR/include/linux/version.h | cut -f2 -d\"`
	find module_dir/lib/modules/$UNAME -name \*.ko | sed s:module_dir:: | tee files.list.$VARIANT
}

mkdir module_dir
for a in %{variants}; do 
	BuildModule $a 
done

%install
rm -rf $RPM_BUILD_ROOT
cp -av module_dir $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Feb  7 2005  <dwmw2@infradead.org> - 
- Initial build.

